package cn.iocoder.yudao.module.museums.controller.admin.museumsdocument.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 博物馆文件管理分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class MuseumsDocumentPageReqVO extends PageParam {

    @Schema(description = "文件名称", example = "赵六")
    private String fileName;

    @Schema(description = "配置编号", example = "5723")
    private Integer configId;

    @Schema(description = "路径")
    private String path;

    @Schema(description = "文件 URL", example = "https://www.iocoder.cn")
    private String url;

    @Schema(description = "文件大小（字节）")
    private Integer fileSize;

    @Schema(description = "文件类型", example = "1")
    private String fileType;

    @Schema(description = "上传时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] uploadDate;

    @Schema(description = "上传者")
    private String uploadedBy;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}