package cn.iocoder.yudao.module.museums.controller.admin.museumsdocument.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 博物馆文件管理 Response VO")
@Data
@ExcelIgnoreUnannotated
public class MuseumsDocumentRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "31768")
    @ExcelProperty("主键")
    private Integer id;

    @Schema(description = "文件名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "赵六")
    @ExcelProperty("文件名称")
    private String fileName;

    @Schema(description = "配置编号", example = "5723")
    @ExcelProperty("配置编号")
    private Integer configId;

    @Schema(description = "路径", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("路径")
    private String path;

    @Schema(description = "文件 URL", requiredMode = Schema.RequiredMode.REQUIRED, example = "https://www.iocoder.cn")
    @ExcelProperty("文件 URL")
    private String url;

    @Schema(description = "文件大小（字节）", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("文件大小（字节）")
    private Integer fileSize;

    @Schema(description = "文件类型", example = "1")
    @ExcelProperty("文件类型")
    private String fileType;

    @Schema(description = "上传时间")
    @ExcelProperty("上传时间")
    private LocalDateTime uploadDate;

    @Schema(description = "上传者", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("上传者")
    private String uploadedBy;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}