package cn.iocoder.yudao.module.museums.controller.admin.museumsdocument.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 博物馆文件管理新增/修改 Request VO")
@Data
public class MuseumsDocumentSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "31768")
    private Integer id;

    @Schema(description = "文件名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "赵六")
    @NotEmpty(message = "文件名称不能为空")
    private String fileName;

    @Schema(description = "配置编号", example = "5723")
    private Integer configId;

    @Schema(description = "路径", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "路径不能为空")
    private String path;

    @Schema(description = "文件 URL", requiredMode = Schema.RequiredMode.REQUIRED, example = "https://www.iocoder.cn")
    @NotEmpty(message = "文件 URL不能为空")
    private String url;

    @Schema(description = "文件大小（字节）", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "文件大小（字节）不能为空")
    private Integer fileSize;

    @Schema(description = "文件类型", example = "1")
    private String fileType;

    @Schema(description = "上传时间")
    private LocalDateTime uploadDate;

    @Schema(description = "上传者", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "上传者不能为空")
    private String uploadedBy;

}