package cn.iocoder.yudao.module.museums.controller.admin.photogroup.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 博物馆照片组 Response VO")
@Data
@ExcelIgnoreUnannotated
public class PhotoGroupRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "24373")
    @ExcelProperty("主键")
    private Integer id;

    @Schema(description = "照片组名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "赵六")
    @ExcelProperty("照片组名称")
    private String groupName;

    @Schema(description = "照片组时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("照片组时间")
    private LocalDateTime groupDate;

    @Schema(description = "照片组简介", example = "你说的对")
    @ExcelProperty("照片组简介")
    private String groupDescription;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createdAt;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "照片组上传")
    @ExcelProperty("照片组上传")
    private String uploadPhotos;

}