package cn.iocoder.yudao.module.museums.controller.admin.photos.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 博物馆照片分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class PhotosPageReqVO extends PageParam {

    @Schema(description = "照片组表id", example = "5803")
    private Integer groupId;

    @Schema(description = "照片存储路径", example = "https://www.iocoder.cn")
    private String photoUrl;

    @Schema(description = "上传时间")
    private LocalDateTime createdAt;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}