package cn.iocoder.yudao.module.museums.controller.admin.specimenoutbound.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 标本出库回库信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class SpecimenOutboundRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @ExcelProperty("主键")
    private Integer id;

    @Schema(description = "关联到总表中的标本ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty("关联到总表中的标本ID")
    private String infoId;

    @Schema(description = "中文名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "张三")
    @ExcelProperty("中文名称")
    private String chineseName;

    @Schema(description = "申请出库的标本编号", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("申请出库的标本编号")
    private String specimenNumber;

    @Schema(description = "申请人或申请单位", requiredMode = Schema.RequiredMode.REQUIRED, example = "张三")
    @ExcelProperty("申请人或申请单位")
    private String applicantName;

    @Schema(description = "申请日期")
    @ExcelProperty("申请日期")
    private LocalDateTime applicationDate;

    @Schema(description = "申请出库的用途", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("申请出库的用途")
    private String applicationUsage;

    @Schema(description = "附件上传")
    @ExcelProperty("附件上传")
    private String attachments;

    @Schema(description = "审批状态", example = "2")
    @ExcelProperty("审批状态")
    private Integer status;

    @Schema(description = "备注信息")
    @ExcelProperty("备注信息")
    private String remarks;

    @Schema(description = "流程实例的编号", example = "19175")
    @ExcelProperty("流程实例的编号")
    private String processInstanceId;

    @Schema(description = "出库员", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("出库员")
    private String operator;

    @Schema(description = "出库时间")
    @ExcelProperty("出库时间")
    private LocalDateTime outgoingTime;

    @Schema(description = "退还人", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("退还人")
    private String returner;

    @Schema(description = "点收人", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("点收人")
    private String receiver;

    @Schema(description = "退还日期", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("退还日期")
    private LocalDateTime returnDate;

    @Schema(description = "标本情况")
    @ExcelProperty("标本情况")
    private String specimenCondition;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "标本状态（已出库、已回库、出库审批中）", example = "2")
    @ExcelProperty("标本状态（已出库、已回库、出库审批中）")
    private Integer sampleStatus;

}