package cn.iocoder.yudao.module.museums.dal.dataobject.photogroup;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 博物馆照片组 DO
 *
 * @author qpw
 */
@TableName("museums_photo_group")
@KeySequence("museums_photo_group_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PhotoGroupDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Integer id;
    /**
     * 照片组名称
     */
    private String groupName;
    /**
     * 照片组时间
     */
    private LocalDateTime groupDate;
    /**
     * 照片组简介
     */
    private String groupDescription;
    /**
     * 创建时间
     */
    private LocalDateTime createdAt;
    /**
     * 照片组上传
     */
    private String uploadPhotos;

}