package cn.iocoder.yudao.module.museums.dal.dataobject.specimenoutbound;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 标本出库回库信息 DO
 *
 * @author qpw
 */
@TableName("museums_specimen_outbound")
@KeySequence("museums_specimen_outbound_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SpecimenOutboundDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Integer id;
    /**
     * 关联到总表中的标本ID
     */
    private String infoId;
    /**
     * 中文名称
     */
    private String chineseName;
    /**
     * 申请出库的标本编号
     */
    private String specimenNumber;
    /**
     * 申请人或申请单位
     */
    private String applicantName;
    /**
     * 申请日期
     */
    private LocalDateTime applicationDate;
    /**
     * 申请出库的用途
     */
    private String applicationUsage;
    /**
     * 附件上传
     */
    private String attachments;
    /**
     * 审批状态
     */
    private Integer status;
    /**
     * 备注信息
     */
    private String remarks;
    /**
     * 流程实例的编号
     */
    private String processInstanceId;
    /**
     * 出库员
     */
    private String operator;
    /**
     * 出库时间
     */
    private LocalDateTime outgoingTime;
    /**
     * 退还人
     */
    private String returner;
    /**
     * 点收人
     */
    private String receiver;
    /**
     * 退还日期
     */
    private LocalDateTime returnDate;
    /**
     * 标本情况
     */
    private String specimenCondition;
    /**
     * 标本状态（已出库、已回库、出库审批中）
     */
    private Integer sampleStatus;

}