package cn.iocoder.yudao.module.museums.dal.mysql.museumsdocument;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.museums.dal.dataobject.museumsdocument.MuseumsDocumentDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.museums.controller.admin.museumsdocument.vo.*;

/**
 * 博物馆文件管理 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface MuseumsDocumentMapper extends BaseMapperX<MuseumsDocumentDO> {

    default PageResult<MuseumsDocumentDO> selectPage(MuseumsDocumentPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<MuseumsDocumentDO>()
                .likeIfPresent(MuseumsDocumentDO::getFileName, reqVO.getFileName())
                .eqIfPresent(MuseumsDocumentDO::getConfigId, reqVO.getConfigId())
                .eqIfPresent(MuseumsDocumentDO::getPath, reqVO.getPath())
                .eqIfPresent(MuseumsDocumentDO::getUrl, reqVO.getUrl())
                .eqIfPresent(MuseumsDocumentDO::getFileSize, reqVO.getFileSize())
                .eqIfPresent(MuseumsDocumentDO::getFileType, reqVO.getFileType())
                .betweenIfPresent(MuseumsDocumentDO::getUploadDate, reqVO.getUploadDate())
                .eqIfPresent(MuseumsDocumentDO::getUploadedBy, reqVO.getUploadedBy())
                .betweenIfPresent(MuseumsDocumentDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(MuseumsDocumentDO::getId));
    }

}