package cn.iocoder.yudao.module.museums.dal.mysql.photogroup;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.museums.dal.dataobject.photogroup.PhotoGroupDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.museums.controller.admin.photogroup.vo.*;

/**
 * 博物馆照片组 Mapper
 *
 * @author qpw
 */
@Mapper
public interface PhotoGroupMapper extends BaseMapperX<PhotoGroupDO> {

    default PageResult<PhotoGroupDO> selectPage(PhotoGroupPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<PhotoGroupDO>()
                .likeIfPresent(PhotoGroupDO::getGroupName, reqVO.getGroupName())
                .betweenIfPresent(PhotoGroupDO::getGroupDate, reqVO.getGroupDate())
                .eqIfPresent(PhotoGroupDO::getGroupDescription, reqVO.getGroupDescription())
                .eqIfPresent(PhotoGroupDO::getCreatedAt, reqVO.getCreatedAt())
                .betweenIfPresent(PhotoGroupDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(PhotoGroupDO::getUploadPhotos, reqVO.getUploadPhotos())
                .orderByDesc(PhotoGroupDO::getId));
    }

}