package cn.iocoder.yudao.module.museums.dal.mysql.photos;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.museums.dal.dataobject.photos.PhotosDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.museums.controller.admin.photos.vo.*;

/**
 * 博物馆照片 Mapper
 *
 * @author qpw
 */
@Mapper
public interface PhotosMapper extends BaseMapperX<PhotosDO> {

    default PageResult<PhotosDO> selectPage(PhotosPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<PhotosDO>()
                .eqIfPresent(PhotosDO::getGroupId, reqVO.getGroupId())
                .eqIfPresent(PhotosDO::getPhotoUrl, reqVO.getPhotoUrl())
                .eqIfPresent(PhotosDO::getCreatedAt, reqVO.getCreatedAt())
                .betweenIfPresent(PhotosDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(PhotosDO::getId));
    }

}