package cn.iocoder.yudao.module.museums.dal.mysql.specimenoutbound;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.museums.dal.dataobject.specimenoutbound.SpecimenOutboundDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.museums.controller.admin.specimenoutbound.vo.*;

/**
 * 标本出库回库信息 Mapper
 *
 * @author qpw
 */
@Mapper
public interface SpecimenOutboundMapper extends BaseMapperX<SpecimenOutboundDO> {

    default PageResult<SpecimenOutboundDO> selectPage(SpecimenOutboundPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<SpecimenOutboundDO>()
                .eqIfPresent(SpecimenOutboundDO::getInfoId, reqVO.getInfoId())
                .likeIfPresent(SpecimenOutboundDO::getChineseName, reqVO.getChineseName())
                .eqIfPresent(SpecimenOutboundDO::getSpecimenNumber, reqVO.getSpecimenNumber())
                .likeIfPresent(SpecimenOutboundDO::getApplicantName, reqVO.getApplicantName())
                .betweenIfPresent(SpecimenOutboundDO::getApplicationDate, reqVO.getApplicationDate())
                .eqIfPresent(SpecimenOutboundDO::getApplicationUsage, reqVO.getApplicationUsage())
                .eqIfPresent(SpecimenOutboundDO::getAttachments, reqVO.getAttachments())
                .eqIfPresent(SpecimenOutboundDO::getStatus, reqVO.getStatus())
                .eqIfPresent(SpecimenOutboundDO::getRemarks, reqVO.getRemarks())
                .eqIfPresent(SpecimenOutboundDO::getProcessInstanceId, reqVO.getProcessInstanceId())
                .eqIfPresent(SpecimenOutboundDO::getOperator, reqVO.getOperator())
                .betweenIfPresent(SpecimenOutboundDO::getOutgoingTime, reqVO.getOutgoingTime())
                .eqIfPresent(SpecimenOutboundDO::getReturner, reqVO.getReturner())
                .eqIfPresent(SpecimenOutboundDO::getReceiver, reqVO.getReceiver())
                .betweenIfPresent(SpecimenOutboundDO::getReturnDate, reqVO.getReturnDate())
                .eqIfPresent(SpecimenOutboundDO::getSpecimenCondition, reqVO.getSpecimenCondition())
                .betweenIfPresent(SpecimenOutboundDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(SpecimenOutboundDO::getSampleStatus, reqVO.getSampleStatus())
                .orderByDesc(SpecimenOutboundDO::getId));
    }

}