package cn.iocoder.yudao.module.museums.service.museumsdocument;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.museums.controller.admin.museumsdocument.vo.*;
import cn.iocoder.yudao.module.museums.dal.dataobject.museumsdocument.MuseumsDocumentDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 博物馆文件管理 Service 接口
 *
 * @author 芋道源码
 */
public interface MuseumsDocumentService {

    /**
     * 创建博物馆文件管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Integer createDocument(@Valid MuseumsDocumentSaveReqVO createReqVO);

    /**
     * 更新博物馆文件管理
     *
     * @param updateReqVO 更新信息
     */
    void updateDocument(@Valid MuseumsDocumentSaveReqVO updateReqVO);

    /**
     * 删除博物馆文件管理
     *
     * @param id 编号
     */
    void deleteDocument(Integer id);

    /**
     * 获得博物馆文件管理
     *
     * @param id 编号
     * @return 博物馆文件管理
     */
    MuseumsDocumentDO getDocument(Integer id);

    /**
     * 获得博物馆文件管理分页
     *
     * @param pageReqVO 分页查询
     * @return 博物馆文件管理分页
     */
    PageResult<MuseumsDocumentDO> getDocumentPage(MuseumsDocumentPageReqVO pageReqVO);

}