package cn.iocoder.yudao.module.museums.service.photogroup;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.museums.controller.admin.photogroup.vo.*;
import cn.iocoder.yudao.module.museums.dal.dataobject.photogroup.PhotoGroupDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 博物馆照片组 Service 接口
 *
 * @author qpw
 */
public interface PhotoGroupService {

    /**
     * 创建博物馆照片组
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Integer createPhotoGroup(@Valid PhotoGroupSaveReqVO createReqVO);

    /**
     * 更新博物馆照片组
     *
     * @param updateReqVO 更新信息
     */
    void updatePhotoGroup(@Valid PhotoGroupSaveReqVO updateReqVO);

    /**
     * 删除博物馆照片组
     *
     * @param id 编号
     */
    void deletePhotoGroup(Integer id);

    /**
     * 获得博物馆照片组
     *
     * @param id 编号
     * @return 博物馆照片组
     */
    PhotoGroupDO getPhotoGroup(Integer id);

    /**
     * 获得博物馆照片组分页
     *
     * @param pageReqVO 分页查询
     * @return 博物馆照片组分页
     */
    PageResult<PhotoGroupDO> getPhotoGroupPage(PhotoGroupPageReqVO pageReqVO);

}