//package cn.iocoder.yudao.module.museums.service.specimeninfo;
//
//import org.junit.jupiter.api.Disabled;
//import org.junit.jupiter.api.Test;
//
//import cn.iocoder.yudao.module.museums.controller.admin.specimeninfo.vo.*;
//import cn.iocoder.yudao.module.museums.dal.dataobject.specimeninfo.SpecimenInfoDO;
//import cn.iocoder.yudao.module.museums.dal.mysql.specimeninfo.SpecimenInfoMapper;
//import cn.iocoder.yudao.framework.common.pojo.PageResult;
//
//import javax.annotation.Resource;
//import org.springframework.context.annotation.Import;
//
//import static cn.iocoder.yudao.framework.common.util.date.LocalDateTimeUtils.*;
//import static cn.iocoder.yudao.framework.common.util.object.ObjectUtils.*;
//import static cn.iocoder.yudao.framework.common.util.date.DateUtils.*;
//import static org.junit.jupiter.api.Assertions.*;
//
///**
// * {@link SpecimenInfoServiceImpl} 的单元测试类
// *
// * @author 普伟
// */
//@Import(SpecimenInfoServiceImpl.class)
//public class SpecimenInfoServiceImplTest extends BaseDbUnitTest {
//
//    @Resource
//    private SpecimenInfoServiceImpl specimenInfoService;
//
//    @Resource
//    private SpecimenInfoMapper specimenInfoMapper;
//
//    @Test
//    public void testCreateSpecimenInfo_success() {
//        // 准备参数
//        SpecimenInfoSaveReqVO createReqVO = randomPojo(SpecimenInfoSaveReqVO.class).setId(null);
//
//        // 调用
//        Integer specimenInfoId = specimenInfoService.createSpecimenInfo(createReqVO);
//        // 断言
//        assertNotNull(specimenInfoId);
//        // 校验记录的属性是否正确
//        SpecimenInfoDO specimenInfo = specimenInfoMapper.selectById(specimenInfoId);
//        assertPojoEquals(createReqVO, specimenInfo, "id");
//    }
//
//    @Test
//    public void testUpdateSpecimenInfo_success() {
//        // mock 数据
//        SpecimenInfoDO dbSpecimenInfo = randomPojo(SpecimenInfoDO.class);
//        specimenInfoMapper.insert(dbSpecimenInfo);// @Sql: 先插入出一条存在的数据
//        // 准备参数
//        SpecimenInfoSaveReqVO updateReqVO = randomPojo(SpecimenInfoSaveReqVO.class, o -> {
//            o.setId(dbSpecimenInfo.getId()); // 设置更新的 ID
//        });
//
//        // 调用
//        specimenInfoService.updateSpecimenInfo(updateReqVO);
//        // 校验是否更新正确
//        SpecimenInfoDO specimenInfo = specimenInfoMapper.selectById(updateReqVO.getId()); // 获取最新的
//        assertPojoEquals(updateReqVO, specimenInfo);
//    }
//
//    @Test
//    public void testUpdateSpecimenInfo_notExists() {
//        // 准备参数
//        SpecimenInfoSaveReqVO updateReqVO = randomPojo(SpecimenInfoSaveReqVO.class);
//
//        // 调用, 并断言异常
//        assertServiceException(() -> specimenInfoService.updateSpecimenInfo(updateReqVO), SPECIMEN_INFO_NOT_EXISTS);
//    }
//
//    @Test
//    public void testDeleteSpecimenInfo_success() {
//        // mock 数据
//        SpecimenInfoDO dbSpecimenInfo = randomPojo(SpecimenInfoDO.class);
//        specimenInfoMapper.insert(dbSpecimenInfo);// @Sql: 先插入出一条存在的数据
//        // 准备参数
//        Integer id = dbSpecimenInfo.getId();
//
//        // 调用
//        specimenInfoService.deleteSpecimenInfo(id);
//       // 校验数据不存在了
//       assertNull(specimenInfoMapper.selectById(id));
//    }
//
//    @Test
//    public void testDeleteSpecimenInfo_notExists() {
//        // 准备参数
//        Integer id = randomIntegerId();
//
//        // 调用, 并断言异常
//        assertServiceException(() -> specimenInfoService.deleteSpecimenInfo(id), SPECIMEN_INFO_NOT_EXISTS);
//    }
//
//    @Test
//    @Disabled  // TODO 请修改 null 为需要的值，然后删除 @Disabled 注解
//    public void testGetSpecimenInfoPage() {
//       // mock 数据
//       SpecimenInfoDO dbSpecimenInfo = randomPojo(SpecimenInfoDO.class, o -> { // 等会查询到
//           o.setSpecimenType(null);
//           o.setSpecimenNumber(null);
//           o.setAssetNumber(null);
//           o.setStorageLocation(null);
//           o.setChineseName(null);
//           o.setEnglishName(null);
//           o.setComposition(null);
//           o.setOrigin(null);
//           o.setEra(null);
//           o.setPreservedLayer(null);
//           o.setMeteoriteType(null);
//           o.setInternationalName(null);
//           o.setDiscoveryTime(null);
//           o.setFallTime(null);
//           o.setPreservationType(null);
//           o.setSize(null);
//           o.setWeight(null);
//           o.setSource(null);
//           o.setProvider(null);
//           o.setAcquisitionTime(null);
//           o.setPurpose(null);
//           o.setDescription(null);
//           o.setCollectionStatus(null);
//           o.setNotes(null);
//           o.setImageName(null);
//           o.setImagePath(null);
//           o.setCreateTime(null);
//           o.setDeletedReason(null);
//           o.setOperator(null);
//           o.setEntryDate(null);
//       });
//       specimenInfoMapper.insert(dbSpecimenInfo);
//       // 测试 specimenType 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setSpecimenType(null)));
//       // 测试 specimenNumber 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setSpecimenNumber(null)));
//       // 测试 assetNumber 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setAssetNumber(null)));
//       // 测试 storageLocation 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setStorageLocation(null)));
//       // 测试 chineseName 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setChineseName(null)));
//       // 测试 englishName 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setEnglishName(null)));
//       // 测试 composition 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setComposition(null)));
//       // 测试 origin 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setOrigin(null)));
//       // 测试 era 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setEra(null)));
//       // 测试 preservedLayer 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setPreservedLayer(null)));
//       // 测试 meteoriteType 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setMeteoriteType(null)));
//       // 测试 internationalName 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setInternationalName(null)));
//       // 测试 discoveryTime 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setDiscoveryTime(null)));
//       // 测试 fallTime 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setFallTime(null)));
//       // 测试 preservationType 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setPreservationType(null)));
//       // 测试 size 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setSize(null)));
//       // 测试 weight 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setWeight(null)));
//       // 测试 source 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setSource(null)));
//       // 测试 provider 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setProvider(null)));
//       // 测试 acquisitionTime 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setAcquisitionTime(null)));
//       // 测试 purpose 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setPurpose(null)));
//       // 测试 description 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setDescription(null)));
//       // 测试 collectionStatus 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setCollectionStatus(null)));
//       // 测试 notes 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setNotes(null)));
//       // 测试 imageName 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setImageName(null)));
//       // 测试 imagePath 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setImagePath(null)));
//       // 测试 createTime 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setCreateTime(null)));
//       // 测试 deletedReason 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setDeletedReason(null)));
//       // 测试 operator 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setOperator(null)));
//       // 测试 entryDate 不匹配
//       specimenInfoMapper.insert(cloneIgnoreId(dbSpecimenInfo, o -> o.setEntryDate(null)));
//       // 准备参数
//       SpecimenInfoPageReqVO reqVO = new SpecimenInfoPageReqVO();
//       reqVO.setSpecimenType(null);
//       reqVO.setSpecimenNumber(null);
//       reqVO.setAssetNumber(null);
//       reqVO.setStorageLocation(null);
//       reqVO.setChineseName(null);
//       reqVO.setEnglishName(null);
//       reqVO.setComposition(null);
//       reqVO.setOrigin(null);
//       reqVO.setEra(null);
//       reqVO.setPreservedLayer(null);
//       reqVO.setMeteoriteType(null);
//       reqVO.setInternationalName(null);
//       reqVO.setDiscoveryTime(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//       reqVO.setFallTime(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//       reqVO.setPreservationType(null);
//       reqVO.setSize(null);
//       reqVO.setWeight(null);
//       reqVO.setSource(null);
//       reqVO.setProvider(null);
//       reqVO.setAcquisitionTime(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//       reqVO.setPurpose(null);
//       reqVO.setDescription(null);
//       reqVO.setCollectionStatus(null);
//       reqVO.setNotes(null);
//       reqVO.setImageName(null);
//       reqVO.setImagePath(null);
//       reqVO.setCreateTime(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//       reqVO.setDeletedReason(null);
//       reqVO.setOperator(null);
//       reqVO.setEntryDate(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//
//       // 调用
//       PageResult<SpecimenInfoDO> pageResult = specimenInfoService.getSpecimenInfoPage(reqVO);
//       // 断言
//       assertEquals(1, pageResult.getTotal());
//       assertEquals(1, pageResult.getList().size());
//       assertPojoEquals(dbSpecimenInfo, pageResult.getList().get(0));
//    }
//
//}